#ifndef __MFDLIB_H
#define __MFDLIB_H

// standard color names
#define BLACK RGB(0, 0, 0)
#define LIGHTRED RGB(0x80, 0, 0)
#define LIGHTGREEN RGB(0, 0x80, 0)
#define LIGHTYELLOW RGB(0x80, 0x80, 0)
#define LIGHTBLUE RGB(0, 0, 0x80)
#define LIGHTMAGENTA RGB(0x80, 0, 0x80)
#define LIGHTCYAN RGB(0,0x80, 0x80)
#define LIGHTWHITE RGB(0x80, 0x80, 0x80)
#define RED RGB(0xC0, 0, 0)
#define GREEN RGB(0, 0xC0, 0)
#define YELLOW RGB(0xC0, 0xC0, 0)
#define BLUE RGB(0, 0, 0xC0)
#define MAGENTA RGB(0xC0, 0, 0xC0)
#define CYAN RGB(0,0xC0, 0xC0)
#define WHITE RGB(0xC0, 0xC0, 0xC0)
#define BRIGHTRED RGB(0xFF, 0, 0)
#define BRIGHTGREEN RGB(0, 0xFF, 0)
#define BRIGHTYELLOW RGB(0xFF, 0xFF, 0)
#define BRIGHTBLUE RGB(0, 0, 0xFF)
#define BRIGHTMAGENTA RGB(0xFF, 0, 0xFF)
#define BRIGHTCYAN RGB(0,0xFF, 0xFF)
#define BRIGHTWHITE RGB(0xFF, 0xFF, 0xFF)

// definition for SetTextXY() and TextXY()
#define USE_CURRENT (-1)

// prototypes
extern void MFDUpdate(const HDC hDC, const int cw, const int ch);
extern POINT GetTextPos(const HDC hDC);
extern POINT GetTextXY(const HDC hDC);
extern POINT SetTextPos(const HDC hDC, const int x, const int y);
extern POINT SetTextXY(const HDC hDC, const int x, const int y);
extern COLORREF SetMFDColor(const HDC hDC, const COLORREF fg);
extern COLORREF SetMFDColor(const HDC hDC, const COLORREF fg, const COLORREF bg);
extern CDECL POINT TextXY(const HDC hDC, const int x, const int y, const char *s, ...);
extern CDECL POINT TextXY(const HDC hDC, const int x, const int y, const COLORREF fg, const char *s, ...);
extern CDECL POINT TextXY(const HDC hDC, const int x, const int y, const COLORREF fg, const COLORREF bg, const char *s, ...);
extern CDECL POINT TextXY(const HDC hDC, const char *s, ...);
extern CDECL POINT TextXY(const HDC hDC, const COLORREF fg, const char *s, ...);
extern CDECL POINT TextXY(const HDC hDC, const COLORREF fg, const COLORREF bg, const char *s, ...);

#endif //!__MFDLIB_H