#ifndef _ADI_H_
#define _ADI_H_

#include <orbitersdk.h>

#define DL_HEMISPHERE		0
#define DL_CIRCLE_XZ		1
#define DL_CIRCLE_XY		2
#define DL_LATITUDE_MAJOR	3
#define DL_LATITUDE_MINOR	4
#define DL_LONGITUDE		5
#define DL_BALL				6
#define NUM_DLS				7

const float RADf = (float)RAD;

class ADI {
public:
	ADI (int x, int y, int width, int height);
	~ADI();
	void Draw(HDC hDC, float pitch, float roll, float yaw, float alpha, float beta, float pitchrate, float yawrate, float zoom);
	double NSEW[8], vVector[2], t10Vector[2];
	int x, y, width, height;
protected:

	void CalcCompass(float pitch, float roll, float yaw, float alpha, float beta, float pitchrate, float yawrate);

	//some stuff for OpenGL
	HDC		   hDC;
	HGLRC       hRC;
	HBITMAP	   hBMP;
	HBITMAP hBMP_old;

	// routines and data to do with the attitude ball
	void CreateDisplayLists();
	int displayLists[NUM_DLS];

//	void UpdateZoom();
//	float oldZoom, zoom, newZoom, zoomRate;
//	double zoomTime;
};

#endif