#ifndef _FLIGHTSTATUS_H_
#define _FLIGHTSTATUS_H_

#include <orbitersdk.h>

class FlightStatus {
public:
	FlightStatus (VESSEL *vessel);
	double altitude; // metres
	double airspeed; // m/s
	double forwardvel, vertvel; // m/s
	double vvFt; // vertical velocity fpm
	double pitch, bank, heading; // degrees
	double pitchrate, rollrate, yawrate; 
	double mach;
	double KIAS, altFt;
	double KIASacc; // acceleration in kts/s
	double alpha; // degrees
	double beta; // degrees
	double throttle; // 0-1
	VECTOR3 horizonVel;
	void TimeStep (const double simt);
	double gFactor;
protected:
	VESSEL *vessel;
	double prevKIAS, prevKIASt;
	double CalculateGFactor(const double simt);
	VECTOR3 prevRvel;
	double prevSimt;
};

#endif