// ==============================================================
//                 ORBITER MODULE: DialogTemplate
//                  Part of the ORBITER SDK
//            Copyright (C) 2003 Martin Schweiger
//                   All rights reserved
//
// MFDTemplate.h
//
// This module demonstrates how to build an Orbiter plugin which
// inserts a new MFD (multi-functional display) mode. The code
// is not very useful in itself, but it can be used as a starting
// point for your own MFD developments.
// ==============================================================

#ifndef __SPACESHIPONEMFD_H
#define __SPACESHIPONEMFD_H

#include "FlightStatus.h"
#include "ADI.h"

class SpaceShipOneMFD: public MFD {
public:
	SpaceShipOneMFD (DWORD w, DWORD h, VESSEL *vessel);
	~SpaceShipOneMFD ();
	void Update (HDC hDC);
	static int MsgProc (UINT msg, UINT mfd, WPARAM wparam, LPARAM lparam);
	void TimeStep (double simT);
	bool ConsumeKeyBuffered(DWORD key);
protected:
	FlightStatus *fs;
	ADI *adi;
	void DrawADI (HDC hDC);
	void DrawAirspeed (HDC hDC);
	void DrawAltitude (HDC hDC);
	void DrawFlightData (HDC hDC);
	void DrawPropellantData (HDC hDC);
	void DrawApogeeData(HDC hDC);
	void DrawScale (HDC hDC, int x, int y, int r, HPEN pen, HBRUSH brush);
	void DrawPointer (HDC hDC, int x, int y, int r, float angle, HPEN pen, HBRUSH brush);
	void DrawArc (HDC hDC, int x, int y, int r, float angle, HPEN penPos, HPEN penNeg);
	void DrawRates (HDC hDC);
	int zoom;
};

#endif